@import "helpers";

:host-context(.login-input) {
  &:not(:last-child) {
    margin-bottom: 20px;
  }
}

.form-control {
  display: flex;
  flex-direction: column;
}
.label {
  font-size: 1rem;
  line-height: 18px;
}
.input {
  height: 36px;
  border-radius: 20px;
  border: 1px solid $black-blue;
  padding: 0 15px;
  outline: none;

  &:active,
  &:focus {
    outline: none;
    border-color: $yellow-brown;
  }
}
.invalid {
  .label {
    color: $red;
  }
  .input {
    border-color: $red;
  }
}
.validation {
  &-item {
    display: inline-block;
    color: $red;
    margin-top: 4px;
  }
}

.label {
  margin-bottom: 6px;
}
